MPI_Win_get_group(3)

NAME
MPI_Win_get_group - Returns a duplicate of the group of the communicator used to create the window.

SYNTAX

C Syntax
#include <mpi.h>
MPI_Win_get_group(MPI_Win win, MPI_Group *group)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_WIN_GET_GROUP(WIN, GROUP, IERROR)
	INTEGER WIN, GROUP, IERROR

C++ Syntax
#include <mpi.h>
MPI::Group MPI::Win::Get_group() const

INPUT PARAMETER

win Window object (handle).

OUTPUT PARAMETERS

group
    Group of processes that share access to the window (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Win_get_group returns a duplicate of the group of the communicator used to create the window associated with win. The group is returned in group.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.